CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
CommandMessenger.CommandStrategy Class Reference

Base command strategy. More...

Inheritance diagram for CommandMessenger.CommandStrategy:

List of all members.

## Public Member Functions
| CommandStrategy (Command command)
| Base command strategy.
virtual void | Enqueue ()
| Add command (strategy) to command queue.
virtual void | DeQueue ()
| Remove this command (strategy) from command queue.
## Properties
ListQueue< CommandStrategy > | CommandQueue`[get, set]`
| Gets or sets the command queue.
CommandQueue.ThreadRunStates | ThreadRunState`[get, set]`
| Gets or sets the run state of the thread.
Command | Command`[get, set]`
| Gets or sets the command.

## Detailed Description

Base command strategy.

## Constructor & Destructor Documentation

CommandMessenger.CommandStrategy.CommandStrategy | ( | Command | command | ) |

Base command strategy.

Parameters:

  command | The command to be wrapped in a strategy.

## Member Function Documentation

virtual void CommandMessenger.CommandStrategy.DeQueue | ( |  | ) | `[virtual]`

Remove this command (strategy) from command queue.

virtual void CommandMessenger.CommandStrategy.Enqueue | ( |  | ) | `[virtual]`

Add command (strategy) to command queue.

Reimplemented in CommandMessenger.CollapseCommandStrategy, and CommandMessenger.TopCommandStrategy.

## Property Documentation

Command CommandMessenger.CommandStrategy.Command`[get, set]`

Gets or sets the command.

The command wrapped in the strategy.

ListQueue<CommandStrategy> CommandMessenger.CommandStrategy.CommandQueue`[get, set]`

Gets or sets the command queue.

A Queue of commands.

CommandQueue.ThreadRunStates CommandMessenger.CommandStrategy.ThreadRunState`[get, set]`

Gets or sets the run state of the thread.

The thread run state.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/CommandStrategy.cs